Bug 1023615 - yum sqlite revision i386 x86_64 revision error
yum sqlite revision i386 x86_64 revision error
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum (Show other bugs)
6.4
x86_64 Linux
unspecified Severity low
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 23:17 EDT by Todd
Modified: 2014-03-27 11:41 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-27 11:41:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd 2013-10-25 23:17:46 EDT
Scientific Linux 6.4, 64 bit

Would one of our intrepid heroes please fix this for me?

I keep getting libsqlite3.so.0 for 32 bit missing errors.  I finally did the following workaround:
# ln -s /usr/lib64/libsqlite3.so.0.8.6 /usr/lib/libsqlite3.so

This below error still exists, but I have at least stopped the rest with the workaround.  You will note that the 64 bit package does not even show up even though it is installed:
# rpm -qa sqlite\*
sqlite-3.6.23.1-0.3.el6.x86_64
sqlite-devel-3.6.23.1-0.3.el6.x86_64

Many thanks,
-T

# yum  --enablerepo=*  whatprovides libsqlite3.so.0
Loaded plugins: priorities, refresh-packagekit, security
3462 packages excluded due to repository priority protections
sqlite-3.6.20-1.el6.i686 : Library that implements an embeddable SQL database
                         : engine
Repo        : sl
Matched from:
Other       : libsqlite3.so.0



sqlite-3.6.20-1.el6.i686 : Library that implements an embeddable SQL database
                         : engine
Repo        : sl6x
Matched from:
Other       : libsqlite3.so.0
Comment 2 Jan Staněk 2013-11-06 04:03:17 EST
> I keep getting libsqlite3.so.0 for 32 bit missing errors.  I finally did the
> following workaround:
> # ln -s /usr/lib64/libsqlite3.so.0.8.6 /usr/lib/libsqlite3.so
Well, don't do that - you are using a 64-bit binary in place of 32-bit, which means asking for problems.

> This below error still exists, but I have at least stopped the rest with the
> workaround.  You will note that the 64 bit package does not even show up
> even though it is installed:
> # rpm -qa sqlite\*
> sqlite-3.6.23.1-0.3.el6.x86_64
> sqlite-devel-3.6.23.1-0.3.el6.x86_64
what do you mean? The rpm query shows two installed packages, both 64-bit versions (note the x68_64 at the end).

Have you tried this?
# yum install sqlite.i686

When you are working with 64-bit system and you want to install a 32-bit package, you need to explicitly say so (by appending the .i686 to the package name).
Comment 3 Todd 2013-11-06 14:39:16 EST
Hi Jan,

I am getting a little tired of "rpm hell".  Meaning I have to throw this switch

 --setopt=protected_multilib=false

Whenever I use yum.

If I install a duplicate 32 bit sqlite, I am back in rpm hell ("Protected multilib versions") trying to upgrade or install things.  The link was the work around to all the "Protected multilib versions" errors.

Also, get in what trouble?  We have a /usr/lib for 32 bit apps and a /usr/lib64 for 64 bit apps.  But we only have one /usr/bin and it either points (links usually) to the 32 bit or the 64 bit version, but not both.

Sorry for all my frustration.

-T
Comment 4 Jan Staněk 2013-11-11 09:54:50 EST
Hi Todd,
if you have to disable protected_multilib everytime you use yum, there is something wrong with your system. I switch this bug to yum, where they may be able to help you better than me.

Anyway, what I gathered by quick google search ([1]), this might be caused by interrupted yum session. Try 

# package-cleanup --cleandupes

maybe it will help.

[1]: https://ask.fedoraproject.org/question/8062/error-protected-multilib-versions-while-yum-update/
Comment 5 Todd 2013-11-12 12:07:56 EST
Hi Jan,

"package-cleanup --cleandupes" was the first thing I tried.  It did not help much.

The biggest improvement was when I removed 32 bit sqlite and put the link to 64 bit sqlite.  Now I am able to yum in peace without the protected_multilib switch

-T
Comment 6 Valentina Mukhamedzhanova 2014-03-26 05:41:07 EDT
Closing, as the problem is fixed by the reporter. Probably a good advice for the problem would be to run 'yum check'.
Comment 7 Todd 2014-03-26 14:00:23 EDT
I never fix it.

# yum check
Loaded plugins: priorities, refresh-packagekit, security
...
sqlite-3.6.23.1-0.3.el6.x86_64 is a duplicate with sqlite-3.6.20-1.el6.i686
...
Error: check all


And if you don't have both of them installed, all heck breaks loose.
Comment 8 James Antill 2014-03-27 11:41:02 EDT
 You shouldn't have different versions of the same package installed, like:

sqlite-3.6.23.1-0.3.el6.x86_64 is a duplicate with sqlite-3.6.20-1.el6.i686

...so you likely want to upgrade the .i686 version to fix the problem.

Note You need to log in before you can comment on or make changes to this bug.